> ## Documentation Index
> Fetch the complete documentation index at: https://blockscout-ap-optimize-logs-envs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Single MUD world table record.

> Retrieves a single record in the specific MUD world table.



## OpenAPI

````yaml /openapi-specs/pro-api-v12.json get /{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records/{record_id}
openapi: 3.0.0
info:
  contact:
    email: info@blockscout.com
    url: https://dev.blockscout.com/
  description: >-
    Blockscout's universal multichain API for accessing explorer-indexed
    blockchain data - such as addresses, transactions, blocks, tokens, NFTs,
    contracts, and related search/results endpoints - across supported networks
    through a single standardized interface.
  title: Blockscout Pro API
  version: 0.5.0
servers:
  - url: https://api.blockscout.com
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records/{record_id}:
    get:
      tags:
        - mud
      summary: Single MUD world table record.
      description: Retrieves a single record in the specific MUD world table.
      operationId: BlockScoutWeb.API.V2.MudController.world_table_record
      parameters:
        - description: MUD world address hash in the path
          in: path
          name: world
          required: true
          schema:
            $ref: '#/components/schemas/AddressHash'
        - description: MUD table ID in the path
          in: path
          name: table_id
          required: true
          schema:
            $ref: '#/components/schemas/FullHash'
        - description: MUD record ID in the path
          in: path
          name: record_id
          required: true
          schema:
            $ref: '#/components/schemas/HexData'
        - description: The ID of the blockchain
          in: path
          name: chain_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                description: MUD Table with TableSchema struct.
                properties:
                  record:
                    $ref: '#/components/schemas/Record'
                  schema:
                    $ref: '#/components/schemas/TableSchema'
                  table:
                    $ref: '#/components/schemas/Table'
                required:
                  - table
                  - schema
                  - record
                title: TableWithSchema
                type: object
          description: Single MUD world table record.
          headers:
            x-credits-remaining:
              description: >-
                Number of credits remaining in your plan. Resets daily on the
                free plan, monthly otherwise.
              schema:
                type: integer
            x-ratelimit-limit:
              description: >-
                Available requests per second with your plan. Returns -1 on
                internal error.
              schema:
                type: integer
            x-ratelimit-remaining:
              description: >-
                Remaining rate limit based on your queries. Returns -1 on
                internal error.
              schema:
                type: integer
            x-ratelimit-reset:
              description: >-
                Time in milliseconds until the rate limit resets. Returns -1 on
                internal error.
              schema:
                type: integer
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
components:
  schemas:
    AddressHash:
      pattern: ^0x([A-Fa-f0-9]{40})$
      title: AddressHash
      type: string
    FullHash:
      pattern: ^0x([A-Fa-f0-9]{64})$
      title: FullHash
      type: string
    HexData:
      pattern: ^0x([A-Fa-f0-9]*)$
      title: HexData
      type: string
    Record:
      additionalProperties: false
      description: MUD Record struct.
      properties:
        decoded:
          nullable: true
          type: object
        id:
          $ref: '#/components/schemas/HexData'
        is_deleted:
          type: boolean
        raw:
          properties:
            block_number:
              $ref: '#/components/schemas/IntegerString'
            dynamic_data:
              $ref: '#/components/schemas/HexData'
            encoded_lengths:
              $ref: '#/components/schemas/FullHash'
            key0:
              $ref: '#/components/schemas/FullHash'
            key1:
              $ref: '#/components/schemas/FullHash'
            key_bytes:
              $ref: '#/components/schemas/HexData'
            log_index:
              $ref: '#/components/schemas/IntegerString'
            static_data:
              $ref: '#/components/schemas/HexData'
          type: object
        timestamp:
          $ref: '#/components/schemas/Timestamp'
      required:
        - id
        - raw
        - timestamp
        - decoded
        - is_deleted
      title: Record
      type: object
    TableSchema:
      additionalProperties: false
      description: MUD TableSchema struct.
      properties:
        key_names:
          items:
            type: string
          type: array
        key_types:
          items:
            type: string
          type: array
        value_names:
          items:
            type: string
          type: array
        value_types:
          items:
            type: string
          type: array
      required:
        - key_names
        - key_types
        - value_names
        - value_types
      title: TableSchema
      type: object
    Table:
      additionalProperties: false
      description: MUD Table struct.
      properties:
        table_full_name:
          type: string
        table_id:
          $ref: '#/components/schemas/FullHash'
        table_name:
          type: string
        table_namespace:
          type: string
        table_type:
          enum:
            - offchain
            - onchain
            - unknown
          type: string
      required:
        - table_id
        - table_full_name
        - table_type
        - table_namespace
        - table_name
      title: Table
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    IntegerString:
      pattern: ^-?([1-9][0-9]*|0)$
      title: IntegerString
      type: string
    Timestamp:
      format: date-time
      title: Timestamp
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http
    apiKeyAuth:
      description: API key passed as the `apikey` query parameter.
      in: query
      name: apikey
      type: apiKey

````